<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>Data Behind Bars</title>
    <meta
      name="description"
      content="An open data set about prisons, jails, and detention facilities."
    />

    <meta property="og:title" content="Data Behind Bars" />
    <meta property="og:type" content="website" />
    <meta property="og:url" content="https://behindba.rs" />
    <meta
      property="og:description"
      content="An open data set about prisons, jails, and detention facilities."
    />
  </head>

  <body>
    <h1>Data Behind Bars</h1>
    <p>
      This is the future home of Data Behind Bars, an open data set about
      prisons, jails, and detention facilities.
    </p>

    <h2>Why?</h2>
    <p>
      In some of my organizing work, I've been trying to find out information about the prisons in my area. This has been surprisingly difficult, as the data is not readily available or accessible. 
      <ul>
        <li>Some of it is in PDFs (thanks, Virginia!)</li>
        <li>Some is buried behind various APIs (thanks, federal republics!)</li>
        <li>A lot of it is just...<a href="https://bjs.ojp.gov/redirect-legacy/content/data/asjic/1998/da02979-0001.txt.zip">gone because of link rot</a></li> 
      </ul>

      This makes the work hard. A key part of organizing is knowing what you're organizing against. In the case of incarceration, that's the Prison-Industrial Complex. Selfishly, I wanted an excuse to write more Rust and this project seemed ideal.
    </p>
    <h2>What?</h2>
    <p>
      Data Behind Bars is an open data set about incarceration. It will have locations and contact information for prisons, jails, immigrant detention facilities, and Native American detention centers. It will also have statistics: numbers of people incarcerated, recidivism rates, prison conditions, etc.
    </p>
    <p>
      The data set itself will be open (either via a Docker image or something else), and there will also be an API where you can query the data (probably using GraphQL).
    </p>
    <h2>How?</h2>
    <p>
      The source code is <a href="https://git.breen.tech/john/data-behind-bars">here</a>. The application is built with Rust, and it currently comprises a script for ingesting data, and an API for querying the data. Beyond that, I'm still gathering data sources. Here's a few of them:

      <ul>
        <li><a href="https://www.opendatanetwork.com/search?q=prison">Open Data Network</a> - a lot of the data belongs to the commons</li>
        <li><a href="https://data.ojp.usdoj.gov/stories/s/tb3p-ibvt">National Archive of Criminal Justice Data</a></li>
        <li><a href="https://www.prisonpolicy.org/data/">Prison Policy Initiative</a></li>
      </ul>
    </p>
    <h2>Who?</h2>
    <p>My name is John Breen. I'm a software developer and a prison abolitionist. I have a background in full-stack web development, as well as in data ingestion and building data pipelines.
    </p>
    <p>
      
      You can find me at <a href="https://breen.tech">breen.tech</a>. 
      
      You can also find me at <a href="https://twitter.com/_breeeeen_">@_breeeeen_</a> 
    </p>
    
    <p>I'm still working on it. While I do that, you should go check out these fantastic abolitionist organizations:
        <ul>
            <li><a href="https://www.blackandpink.org">Black and Pink</a> - Go get a pen pal!</li>
            <li><a href="http://criticalresistance.org/">Critical Resistance - Donate and also read their resources on abolition</a></li>
        </ul>
    </p>

  </body>
</html>
